WinShopAPI docs
ReferenceItem lists

Routes

List routes

GET
/api/item-lists/routes

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/item-lists/routes' \  -H 'Authorization: Bearer <access-token>'
[  {    "description": "string",    "id": 0,    "name": "string"  }]

Get a route

GET
/api/item-lists/routes/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
description?string
id?integer
Formatint32
name?string
Lengthlength <= 50
curl -X GET 'https://<your-instance>/api/item-lists/routes/0' \  -H 'Authorization: Bearer <access-token>'
{  "description": "string",  "id": 0,  "name": "string"}

Delete a route

DELETE
/api/item-lists/routes/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

curl -X DELETE 'https://<your-instance>/api/item-lists/routes/0' \  -H 'Authorization: Bearer <access-token>'
Empty